variables:
  GIT_SUBMODULE_STRATEGY: normal
  PACKAGE_REGISTRY_URL: "${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/generic/${CI_PROJECT_NAME}"
  PROJECT_NAME: "dv-mono-vio-sample"
  PROJECT_NAME_INTERNAL: "dv-mono-vio-sample-internal"

default:
  interruptible: true

release_archive_submodules:
  stage: deploy
  image: registry.gitlab.com/inivation/infra/docker-files/ubuntu:rolling
  interruptible: false
  variables:
    GIT_STRATEGY: clone
  script:
    # Archive all the code, including git submodules and upload as generic package.
    - git-archive-all "${CI_PROJECT_NAME}-${CI_COMMIT_TAG}.zip"
    - 'curl --header "JOB-TOKEN: ${CI_JOB_TOKEN}" --upload-file "${CI_PROJECT_NAME}-${CI_COMMIT_TAG}.zip" "${PACKAGE_REGISTRY_URL}/${CI_COMMIT_TAG}/${CI_PROJECT_NAME}-${CI_COMMIT_TAG}.zip"'
    - git-archive-all "${CI_PROJECT_NAME}-${CI_COMMIT_TAG}.tar.gz"
    - 'curl --header "JOB-TOKEN: ${CI_JOB_TOKEN}" --upload-file "${CI_PROJECT_NAME}-${CI_COMMIT_TAG}.tar.gz" "${PACKAGE_REGISTRY_URL}/${CI_COMMIT_TAG}/${CI_PROJECT_NAME}-${CI_COMMIT_TAG}.tar.gz"'
  rules:
    - if: $CI_COMMIT_TAG
